Get links a click profile is assigned to
1 min
GET
https://api.campaign.episerver.net/rest/{clientId}/clickprofiles/{clickProfileId}/assignedlinks
clientIdinteger<int64>Client ID
clickProfileIdinteger<int64>Click profile ID
offsetinteger<int32><p>Starting point of the result list Default value : 0</p>
limitinteger<int32><p>Maximum number of retrieved links Default value : 100</p>
urlPatternstringFilter links matching given pattern
urlsarrayFilter links by their urls
mailingIdsarrayFilter links associated with given mailing IDs
searchTermstringValue of the column to be searched. It is used in conjunction with 'searchColumn'.
searchColumnstringName of the column to be searched. It is used in conjunction with 'searchTerm'.
sortstringSort result by specific criteria
namestringFilter links by their name
typesarrayFilter links by their types
directionstringSort order
acceptstringGenerated from available response content types
200<p>The assigned links were retrieved successfully (empty result if none was found).</p>
400Invalid limit request. Change the limit to less than 10000.
curl --request GET \
--url 'https://api.campaign.episerver.net/rest/{clientId}/clickprofiles/{clickProfileId}/assignedlinks?sort=created' \
--header 'accept: application/json'